Net::DNS::RR::IPSECKEY(3)

NAME
Net::DNS::RR::IPSECKEY - DNS IPSECKEY resource record

SYNOPSIS
    use Net::DNS;
    $rr = Net::DNS::RR->new('name IPSECKEY precedence gatetype algorithm gateway key');

DESCRIPTION
DNS IPSEC Key Storage (IPSECKEY) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  precedence
    $precedence = $rr->precedence;
    $rr->precedence( $precedence );

This is an 8-bit precedence for this record. Gateways listed in IPSECKEY records with lower precedence are to be attempted first.

  gatetype
    $gatetype = $rr->gatetype;

The gateway type field indicates the format of the information that is stored in the gateway field.

  algorithm
    $algorithm = $rr->algorithm;
    $rr->algorithm( $algorithm );

The algorithm type field identifies the public keys cryptographic algorithm and determines the format of the public key field.

  gateway
    $gateway = $rr->gateway;
    $rr->gateway( $gateway );

The gateway field indicates a gateway to which an IPsec tunnel may be created in order to reach the entity named by this resource record.

  pubkey

  key
    $key = $rr->key;
    $rr->key( $key );

Base64 representation of the optional public key block for the resource record.

  keybin
    $keybin = $rr->keybin;
    $rr->keybin( $keybin );

Binary representation of the public key block for the resource record.

COPYRIGHT
Copyright (c)2007 Olaf Kolkman, NLnet Labs.

Portions Copyright (c)2012,2015 Dick Franks.

All rights reserved.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

LICENSE
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the original copyright notices appear in all copies and that both copyright notice and this permission notice appear in supporting documentation, and that the name of the author not be used in advertising or publicity pertaining to distribution of the software without specific prior written permission.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC4025